Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 514452 - Review Request: trac-agilo-plugin - a trac plugin to support the Scrum process.
Summary: Review Request: trac-agilo-plugin - a trac plugin to support the Scrum process.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-07-29 07:26 UTC by Asgeir Frimannsson
Modified: 2010-11-04 12:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 02:45:58 UTC


Attachments (Terms of Use)

Description Asgeir Frimannsson 2009-07-29 07:26:59 UTC
Spec URL: http://asgeirf.fedorapeople.org/agilo/trac-agilo-plugin.spec
SRPM URL: http://asgeirf.fedorapeople.org/agilo/trac-agilo-plugin-0.7.92-3.fc11.src.rpm
Description: This plugin for Trac provides a tool to support the Scrum process.

From wikipedia: http://en.wikipedia.org/wiki/Scrum_%28development%29
"Scrum is an iterative incremental framework for managing complex work (such as new product development) commonly used with agile software development."

This plugin converts a Trac instance into a Scrum management tool, with concepts such as 'sprints', 'burndown charts'. Tickets are typically managed as 'user stories', 'tasks' and 'requirements'.

This is my first package (be kind!), and I need a sponsor.

Some notes:
- The spec includes a trivial patch to strip out the use of trac.test, as this module is not included in the trac package for fedora
- I'm unsure if the version/release scheme is correct in the spec.
- Agilo includes some jquery plugins in the package

Comment 1 Sean Flanigan 2009-07-29 08:02:59 UTC
Hi Asgeir,

Looking pretty good!  I'm looking forward to seeing Agilo packaged.

About the versioning, there are some examples of Fedora packages which use (eg) 4.2.98 to mean version 4.3RC3 (kdeartwork), but the naming guidelines suggest using the expected "final" version (0.8.0 in this case) with a 0.x release, eg 0.8.0-0.1.RC2.  

I'm not sure exactly when one style is preferred over the other, but I like the guideline style, if only because it produces more predictable numbers.

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

Sean.

Comment 2 Asgeir Frimannsson 2009-08-10 04:25:42 UTC
0.8 was released last week, so I'll update the spec to 0.8 final tomorrow.

http://www.agile42.com/cms/blog/2009/08/5/agilo-pro-10-and-agilo-08-released-
today-/

Comment 3 Asgeir Frimannsson 2009-08-17 01:22:45 UTC
Spec Updated to Agilo 0.8 final:

Spec URL: http://asgeirf.fedorapeople.org/agilo/trac-agilo-plugin.spec
SRPM URL:
http://asgeirf.fedorapeople.org/agilo/trac-agilo-plugin-0.8.0-1.fc11.src.rpm

Comment 4 Felix Schwarz 2009-10-01 10:21:23 UTC
Agilo won't work on EL4 (Python 2.4 required) so you can use '--skip-build' in the spec.

Comment 5 Marcin Zajaczkowski 2009-10-10 16:35:33 UTC
Any progress with that review?

Comment 6 Asgeir Frimannsson 2009-10-27 23:04:01 UTC
Sorry for the delay in repsonding.

We have been using Trac for a project with very limited success, and have recently moved to a simpler spreadsheet based approach. We found Agilo somewhat helpful, but found it needed too many clicks for simple operations.

Unless there's more people with interest in Agilo, I'm tempted withdraw this package request.

Comment 7 Jason Tibbitts 2010-11-03 12:59:00 UTC
Well, after over a year, I'm guessing there's nobody else with any interest.  Should we just close this out?

Comment 8 Jens Petersen 2010-11-04 02:45:58 UTC
Yes I think so


Note You need to log in before you can comment on or make changes to this bug.